Bug 13678 - ServerTokens doesn't work according to apache documentation
ServerTokens doesn't work according to apache documentation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 18:52 EDT by dietzma
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-10 18:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dietzma 2000-07-10 18:52:34 EDT
According to the Apache Documentation a line such as:
--- inserted into httpd.conf ----
ServerTokens ProductOnly
----end insertion into httpd.conf ---
Included in the httpd.conf file should only display the product i.e. "apache"
However, after adding the above line to the httpd.conf, then performing a: /etc/rc.d/init.d/httpd restart 
it still shows the RedHat version and module info. See the output...
--- Begin console output ---
web2: # cat /etc/redhat-release
Red Hat Linux release 6.2 (Zoot)

web2: # telnet localhost 80
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
HTTP://1.1 POST SFHKSDS

HTTP/1.1 400 Bad Request
Date: Mon, 10 Jul 2000 22:48:58 GMT
Server: Apache/1.3.12 (Unix)  (Red Hat/Linux) PHP/3.0.15 mod_perl/1.21
Connection: close
Content-Type: text/html; charset=iso-8859-1

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<HTML><HEAD>
<TITLE>400 Bad Request</TITLE>
</HEAD><BODY>
<H1>Bad Request</H1>
Your browser sent a request that this server could not understand.<P>
Invalid URI in request HTTP://1.1 POST SFHKSDS<P>
</BODY></HTML>
Connection closed by foreign host.
--- End console output ---
Comment 1 Nalin Dahyabhai 2000-07-10 19:26:55 EDT
The only valid values I see in the documentation are "Min", "OS", and
"Full", but this is a bug: "(Red Hat/Linux)" should not be displayed if the
value is "Min".  This will be fixed in apache-1.3.12-17 and later.

Note You need to log in before you can comment on or make changes to this bug.